ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Parser.Utils

Synopsis

- isStmt :: ParserOpts -> String -> Bool
- hasImport :: ParserOpts -> String -> Bool
- isImport :: ParserOpts -> String -> Bool
- isDecl :: ParserOpts -> String -> Bool

# Documentation

isStmt :: ParserOpts -> String -> Bool Source #

Returns `True` if passed string is a statement.

hasImport :: ParserOpts -> String -> Bool Source #

Returns `True` if passed string has an import declaration.

isImport :: ParserOpts -> String -> Bool Source #

Returns `True` if passed string is an import declaration.

isDecl :: ParserOpts -> String -> Bool Source #

Returns `True` if passed string is a declaration but not a splice.